package com.bicloud.config;


import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Knife4j + OpenAPI 3 文档主信息配置（无 externalDocs）
 */
@Configuration
public class OpenApiConfig {

    @Bean
    public OpenAPI myOpenAPI() {
        return new OpenAPI()
                .info(new Info()

                        .title("接口文档")
                        .description("OpenAPI 3接口文档")
                        .version("v1.0.0")
                        .license(new License()
                                .name("Apache 2.0")
                                .url("https://www.apache.org/licenses/LICENSE-2.0")
                        )
                );
    }

    // 分组1：文献管理接口
    @Bean
    public GroupedOpenApi literatureApi() {
        return GroupedOpenApi.builder()
                .group("bicloud接口") // 分组名称
                .packagesToScan("com.bicloud.controller") // 匹配的接口路径
                .build();
    }
}